/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef GOTOLINE_TOOLBAR_H
#define GOTOLINE_TOOLBAR_H

#include <gtk/gtk.h>

typedef struct _GotoLineToolbar  GotoLineToolbar;

struct _GotoLineToolbar
{
  GtkWidget *label_goto_line;
  GtkWidget *label_error;
  GtkWidget *button_goto_line;
  GtkWidget *button_close;
  GtkWidget *image_close;
  GtkWidget *image_error;
  GtkWidget *goto_line;
  GtkWidget *hbox;
};

GotoLineToolbar* openldev_goto_toolbar_new ();
  
void openldev_goto_toolbar_show_error     (GotoLineToolbar*, gboolean);
int  openldev_goto_toolbar_get_goto_value (GotoLineToolbar*);

#endif
